using System;

namespace NESUSEDNI
{
    class Program
    {
        static void Main(string[] args)
        {
            string c = Console.ReadLine();
            char c1 = c[0];
            char c2 = c[1];
            string s = "";
            string[] unos = Console.ReadLine().Split(' ');
            int a1 = int.Parse(unos[0]);
            int a2 = int.Parse(unos[1]);
            int br;
            if (a2 > a1)
            {
                br = -1;
            }
            else
            {
                br = 1;
            }
            if (Math.Abs(a1 - a2) > 1)
            {
                Console.WriteLine("nemoguce");
            }
            else
            {
                while (a1 > 0 || a2 > 0)
                {
                    if (br == 1)
                    {
                        s += c1;
                        a1--;
                        br *= -1;
                    }
                    else
                    {
                        s += c2;
                        a2--;
                        br *= -1;
                    }
                }
                Console.WriteLine(s);
            }
        }
    }
}